Subject: bug#23566: Acknowledgement (25.0.94; sql-sqlite: selecting database file is crippled)

From: Rolf Ade <[email-masked]>
Date: Wed, 18 May 2016 14:50:25 +0200

I'm sorry: I've botched my proposed change (which is not meant to be a
patch - I don't feel versed enough to judge if this is the 'right way'
to fix - but to make my point more clear). It should read as (added
the f argument to file-regular-p):

       ((plist-member plist :file)
        (expand-file-name
         (read-file-name prompt
                         (file-name-directory last-value) default t
                         (file-name-nondirectory last-value)
                         (when (plist-get plist :file)
                           `(lambda (f)
                              (if (not(file-regular-p f))
                                  t
                                (string-match
                                 (concat "\\<" ,(plist-get plist :file) 
"\\>")
                                 (file-name-nondirectory f))))))))